package com.ruoyi.gysl.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.gysl.entity.BasicInformation;
import com.ruoyi.gysl.entity.request.BasicRequest;
import com.ruoyi.gysl.service.BasicInformationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.io.Serializable;
import java.util.List;

/**
 * 基本信息(BasicInformation)表控制层
 *
 * @author makejava
 * @since 2025-02-24 09:25:51
 */
@Api(tags = "基本信息")
@RestController
@RequestMapping("/gysl/basicInformation")
public class BasicInformationController extends BaseController {
    /**
     * 服务对象
     */
    @Resource

    private BasicInformationService basicInformationService;

    /**
     * 分页查询所有数据
     *
     * @param page             分页对象
     * @param basicInformation 查询实体
     * @return 所有数据
     */
    @ApiOperation(value = "分页查询所有数据", response = BasicInformation.class)
    @GetMapping("/page")
    public AjaxResult selectAll(Page<BasicInformation> page, BasicInformation basicInformation) {
        return success(this.basicInformationService.page(page, new QueryWrapper<>(basicInformation)));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @ApiOperation(value = "通过主键查询单条数据", response = BasicInformation.class)
    @GetMapping("{id}")
    public AjaxResult selectOne(@PathVariable Serializable id) {
        return success(this.basicInformationService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param basicInformation 实体对象
     * @return 新增结果
     */
    @ApiOperation("新增数据")
    @PostMapping("/add")
    public AjaxResult insert(@RequestBody BasicInformation basicInformation) {
        return success(this.basicInformationService.save(basicInformation));
    }

    /**
     * 修改数据
     *
     * @param basicInformation 实体对象
     * @return 修改结果
     */
    @ApiOperation("修改数据")
    @PostMapping("/edit")
    public AjaxResult update(@RequestBody BasicInformation basicInformation) {
        return success(this.basicInformationService.updateById(basicInformation));
    }

    /**
     * 删除数据
     *
     * @param idList 主键结合
     * @return 删除结果
     */
    @ApiOperation("删除数据")
    @DeleteMapping("/delete")
    public AjaxResult delete(@RequestParam("idList") List<Long> idList) {
        return success(this.basicInformationService.removeByIds(idList));
    }

    /**
     * 导出基本信息列表
     */
    @ApiOperation("导出基本信息列表")
    @PostMapping("/export")
    public void export(HttpServletResponse response, BasicInformation basicInformation) {
        QueryWrapper<BasicInformation> queryWrapper = new QueryWrapper<>();
        List<BasicInformation> list = basicInformationService.getBaseMapper().selectList(queryWrapper);
        ExcelUtil<BasicInformation> util = new ExcelUtil<BasicInformation>(BasicInformation.class);
        util.exportExcel(response, list, "基本信息");
    }

    /**
     * 基本信息模板下载
     *
     * @param response
     */
    @ApiOperation("基本信息模板下载")
    @PostMapping("/importTemplate")
    public void importTemplate(HttpServletResponse response) {
        ExcelUtil<BasicRequest> util = new ExcelUtil<BasicRequest>(BasicRequest.class);
        util.importTemplateExcel(response, "基本信息");
    }


    /**
     * 导入
     */
    @ApiOperation("导入")
    @PostMapping("/importData")
    public AjaxResult importData(MultipartFile file) throws Exception {

        ExcelUtil<BasicRequest> util = new ExcelUtil<BasicRequest>(BasicRequest.class);
        List<BasicRequest> basicRequestList = util.importExcel(file.getInputStream());

        basicInformationService.importUser(basicRequestList);

        return success();
    }


}

