package com.ruoyi.gysl.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.gysl.entity.BasicInformation;
import com.ruoyi.gysl.entity.PlanInformation;
import com.ruoyi.gysl.service.PlanInformationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.io.Serializable;
import java.util.List;

/**
 * 规划信息(PlanInformation)表控制层
 *
 * @author makejava
 * @since 2025-02-24 14:21:57
 */
@Api(tags = "规划信息")
@RestController
@RequestMapping("/gysl/planInformation")
public class PlanInformationController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private PlanInformationService planInformationService;

    /**
     * 分页查询所有数据
     *
     * @param page            分页对象
     * @param planInformation 查询实体
     * @return 所有数据
     */
    @GetMapping("/page")
    @ApiOperation("分页查询所有数据")
    public AjaxResult selectAll(Page<PlanInformation> page, PlanInformation planInformation) {
        return success(this.planInformationService.page(page, new QueryWrapper<>(planInformation)));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    @ApiOperation("通过主键查询单条数据")
    public AjaxResult selectOne(@PathVariable Serializable id) {
        return success(this.planInformationService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param planInformation 实体对象
     * @return 新增结果
     */
    @PostMapping("/add")
    @ApiOperation("新增数据")
    public AjaxResult insert(@RequestBody PlanInformation planInformation) {
        return success(this.planInformationService.save(planInformation));
    }

    /**
     * 修改数据
     *
     * @param planInformation 实体对象
     * @return 修改结果
     */
    @PostMapping("/edit")
    @ApiOperation("修改数据")
    public AjaxResult update(@RequestBody PlanInformation planInformation) {
        return success(this.planInformationService.updateById(planInformation));
    }

    /**
     * 删除数据
     *
     * @param idList 主键结合
     * @return 删除结果
     */
    @ApiOperation("删除数据")
    @DeleteMapping("/delete")
    public AjaxResult delete(@RequestParam("idList") List<Long> idList) {
        return success(this.planInformationService.removeByIds(idList));
    }



    /**
     * 导出规划信息列表
     */
    @PostMapping("/export")
    public void export(HttpServletResponse response, PlanInformation planInformation)
    {
        QueryWrapper<PlanInformation> queryWrapper=new QueryWrapper<>();
        List<PlanInformation> list = planInformationService.getBaseMapper().selectList(queryWrapper);
        ExcelUtil<PlanInformation> util = new ExcelUtil<PlanInformation>(PlanInformation.class);
        util.exportExcel(response, list, "规划信息");
    }
}

