package com.ruoyi.gysl.controller;



import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.gysl.entity.QyrzInformation;
import com.ruoyi.gysl.service.QyrzInformationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;

/**
 * (QyrzInformation)表控制层
 *
 * @author makejava
 * @since 2025-02-25 14:45:29
 */

@Api(tags ="企业入住" )
@RestController
@RequestMapping("/gysl/qyrzInformation")
public class QyrzInformationController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private QyrzInformationService qyrzInformationService;

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param qyrzInformation 查询实体
     * @return 所有数据
     */
    @GetMapping("/page")
    @ApiOperation("分页查询所有数据")
    public AjaxResult selectAll(Page<QyrzInformation> page, QyrzInformation qyrzInformation) {
        return success(this.qyrzInformationService.page(page, new QueryWrapper<>(qyrzInformation)));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    @ApiOperation("通过主键查询单条数据")
    public AjaxResult selectOne(@PathVariable Serializable id) {
        return success(this.qyrzInformationService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param qyrzInformation 实体对象
     * @return 新增结果
     */
    @PostMapping("/add")
    @ApiOperation("新增数据")
    public AjaxResult insert(@RequestBody QyrzInformation qyrzInformation) {
        return success(this.qyrzInformationService.save(qyrzInformation));
    }

    /**
     * 修改数据
     *
     * @param qyrzInformation 实体对象
     * @return 修改结果
     */
    @PostMapping("/edit")
    @ApiOperation("修改数据")
    public AjaxResult update(@RequestBody QyrzInformation qyrzInformation) {
        return success(this.qyrzInformationService.updateById(qyrzInformation));
    }

    /**
     * 删除数据
     *
     * @param idList 主键结合
     * @return 删除结果
     */
    @ApiOperation("删除数据")
    @DeleteMapping("/delete")
    public AjaxResult delete(@RequestParam("idList") List<Long> idList) {
        return success(this.qyrzInformationService.removeByIds(idList));
    }
}

