package com.ruoyi.gysl.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.gysl.entity.WysmxInformation;
import com.ruoyi.gysl.service.WysmxInformationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;

/**
 * 五要素模型信息(WysmxInformation)表控制层
 *
 * @author makejava
 * @since 2025-02-26 11:09:30
 */
@Api(tags = "五要素模型信息")
@RestController
@RequestMapping("/gysl/wysmxInformation")
public class WysmxInformationController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private WysmxInformationService wysmxInformationService;

    /**
     * 分页查询所有数据

     * @return 所有数据
     */
    @GetMapping("/page")
    @ApiOperation("分页查询所有数据")
    public AjaxResult selectAll(Page<WysmxInformation> page, WysmxInformation wysmxInformation) {
        return success(this.wysmxInformationService.page(page, new QueryWrapper<>(wysmxInformation)));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    @ApiOperation("通过主键查询单条数据")
    public AjaxResult selectOne(@PathVariable Serializable id) {
        return success(this.wysmxInformationService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param wysmxInformation 实体对象
     * @return 新增结果
     */
    @PostMapping("/add")
    @ApiOperation("新增数据")
    public AjaxResult insert(@RequestBody WysmxInformation wysmxInformation) {
        return success(this.wysmxInformationService.save(wysmxInformation));
    }

    /**
     * 修改数据
     *
     * @param wysmxInformation 实体对象
     * @return 修改结果
     */
    @PostMapping("/edit")
    @ApiOperation("修改数据")
    public AjaxResult update(@RequestBody WysmxInformation wysmxInformation) {
        return success(this.wysmxInformationService.updateById(wysmxInformation));
    }

    /**
     * 删除数据
     *
     * @param idList 主键结合
     * @return 删除结果
     */
    @ApiOperation("删除数据")
    @DeleteMapping("/delete")
    public AjaxResult delete(@RequestParam("idList") List<Long> idList) {
        return success(this.wysmxInformationService.removeByIds(idList));
    }
}

