package com.ruoyi.gysl.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.gysl.entity.Xmzsk;
import com.ruoyi.gysl.service.XmzskService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;

/**
 * (Xmzsk)表控制层
 *
 * @author makejava
 * @since 2025-02-24 14:31:17
 */
@Api(tags = "项目知识库")
@RestController
@RequestMapping("/gysl/xmzsk")
public class XmzskController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private XmzskService xmzskService;

    /**
     * 分页查询所有数据
     *
     * @param page  分页对象
     * @param xmzsk 查询实体
     * @return 所有数据
     */
    @GetMapping("/page")
    @ApiOperation("分页查询所有数据")
    public AjaxResult selectAll(Page<Xmzsk> page, Xmzsk xmzsk) {
        return success(this.xmzskService.page(page, new QueryWrapper<>(xmzsk)));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    @ApiOperation("通过主键查询单条数据")
    public AjaxResult selectOne(@PathVariable Serializable id) {
        return success(this.xmzskService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param xmzsk 实体对象
     * @return 新增结果
     */
    @PostMapping("/add")
    @ApiOperation("新增数据")
    public AjaxResult insert(@RequestBody Xmzsk xmzsk) {
        return success(this.xmzskService.save(xmzsk));
    }

    /**
     * 修改数据
     *
     * @param xmzsk 实体对象
     * @return 修改结果
     */
    @PostMapping("/edit")
    @ApiOperation("修改数据")
    public AjaxResult update(@RequestBody Xmzsk xmzsk) {
        return success(this.xmzskService.updateById(xmzsk));
    }

    /**
     * 删除数据
     *
     * @param idList 主键结合
     * @return 删除结果
     */
    @ApiOperation("删除数据")
    @DeleteMapping("/delete")
    public AjaxResult delete(@RequestParam("idList") List<Long> idList) {
        return success(this.xmzskService.removeByIds(idList));
    }
}

