package com.ruoyi.gysl.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * (BuildingInformation)实体类
 *
 * @author makejava
 * @since 2025-02-24 11:10:05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("building_information")
@ApiModel(value = "BuildingInformation")
public class BuildingInformation implements Serializable {
    private static final long serialVersionUID = -28824019069166362L;

    @ApiModelProperty(value = "id}")
    @TableId(value = "id", type = IdType.AUTO)
    @TableField("id")
    private Integer id;

    /**
     * 楼栋名称
     */
    @ApiModelProperty(value = "楼栋名称")
    @TableField("name")
    private String name;

    /**
     * 项目id
     */
    @ApiModelProperty(value = "项目id")
    @TableField("xm_id")
    private Integer xmId;

    /**
     * 层数
     */
    @ApiModelProperty(value = "层数")
    @TableField("floor")
    private Integer floor;

    /**
     * 总建筑高度
     */
    @ApiModelProperty(value = "总建筑高度")
    @TableField("total_building_height")
    private BigDecimal totalBuildingHeight;

    /**
     * 首层高度
     */
    @ApiModelProperty(value = "首层高度")
    @TableField("scgd")
    private BigDecimal scgd;

    /**
     * 2至4层高
     */
    @ApiModelProperty(value = "2至4层高")
    @TableField("two_and_four_cg")
    private BigDecimal twoAndFourCg;

    /**
     * 4层以上层高
     */
    @ApiModelProperty(value = "4层以上层高")
    @TableField("four_yscg")
    private BigDecimal fourYscg;

    /**
     * 首层地面荷载
     */
    @ApiModelProperty(value = "首层地面荷载")
    @TableField("scdmhz")
    private BigDecimal scdmhz;

    /**
     * 二至三层楼面荷载
     */
    @ApiModelProperty(value = "二至三层楼面荷载")
    @TableField("two_and_three_lmhz")
    private BigDecimal twoAndThreeLmhz;

    /**
     * 四层及以上楼面荷载
     */
    @ApiModelProperty(value = "四层及以上楼面荷载")
    @TableField("four_yslmhz")
    private BigDecimal fourYslmhz;

    /**
     * 标准层面积
     */
    @ApiModelProperty(value = "标准层面积")
    @TableField("bzcmj")
    private BigDecimal bzcmj;

    /**
     * 柱距
     */
    @ApiModelProperty(value = "柱距")
    @TableField("zj")
    private BigDecimal zj;

    /**
     * 是否有吊装口
     */
    @ApiModelProperty(value = "是否有吊装口")
    @TableField("sfydzk")
    private BigDecimal sfydzk;

    /**
     * 是否有汽车盘道
     */
    @ApiModelProperty(value = "是否有汽车盘道")
    @TableField("sfyqcpd")
    private BigDecimal sfyqcpd;

    /**
     * 创建者id
     */
    @ApiModelProperty(value = "创建者id")
    @TableField("create_id")
    private Integer createId;

    //创建时间
    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;


    //创建者
    @ApiModelProperty("创建者")
    private String createBy;

    //更新者ID
    @ApiModelProperty("更新者ID")
    private Long updateId;

    //更新者
    @ApiModelProperty("更新者")
    private String updateBy;

    //更新时间
    @ApiModelProperty("更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;
}
