package com.ruoyi.gysl.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 企业基本信息(Enterprise)实体类
 *
 * @author makejava
 * @since 2025-02-24 11:26:49
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("enterprise")
@ApiModel(value = "Enterprise", description = "企业基本信息")
public class Enterprise implements Serializable {
    private static final long serialVersionUID = -87535476195722857L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableField("id")
    private Integer id;

    /**
     * 项目id
     */
    @ApiModelProperty(value = "项目id")
    @TableField("xm_id")
    private Integer xmId;

    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    @TableField("name")
    private String name;

    /**
     * 统一社会信用代码
     */
    @ApiModelProperty(value = "统一社会信用代码")
    @TableField("code")
    private String code;

    /**
     * 所属行业
     */
    @ApiModelProperty(value = "所属行业 ")
    @TableField("sshy")
    private String sshy;

    /**
     * 租金价格
     */
    @ApiModelProperty(value = "租金价格")
    @TableField("zjjg")
    private Integer zjjg;

    /**
     * 创建者id
     */
    @ApiModelProperty(value = "创建者id")
    @TableField("create_id")
    private Integer createId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    @TableField("create_by")
    private String createBy;

    /**
     * 更新者ID
     */
    @ApiModelProperty(value = "更新者ID")
    @TableField("update_id")
    private Long updateId;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;
}
