package com.ruoyi.gysl.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.time.LocalDateTime;

@TableName("monolithic_material_management")
@Data
public class Mmm {
        // 主键id 自增
        @ApiModelProperty("主键id")
        @TableId(value = "id", type = IdType.AUTO)
        private Integer id;

        @NotBlank(message = "文件标题不能为空")
        @Size(max= 50,message="文件标题长度不能超过50")
        @ApiModelProperty("文件标题")
        private String documentTitle;

        @NotBlank(message = "发布单位不能为空")
        @Size(max= 50,message="发布单位长度不能超过50")
        @ApiModelProperty("发布单位")
        private String publishUnit;

        @NotBlank(message = "发布人不能为空")
        @Size(max= 50,message = "发布人长度不得超过50个字")
        @ApiModelProperty("发布人")
        private String publisher;

        @NotBlank(message = "发布时间不能为空")
        @ApiModelProperty("发布时间")
        @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
        @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime publishTime;

        @Size(max = 10000 ,message = "发布内容最大支持10000字")
        @ApiModelProperty("发布内容")
        private String publishingContent;

        //创建者id
        @Excel(name = "create_id")
        @ApiModelProperty("创建者id")
        private Long createId;

        //创建时间
        @Excel(name = "create_time",dateFormat = "yyyy-MM-dd HH:mm:ss")
        @ApiModelProperty("创建时间")
        @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
        @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        //创建者
        @Excel(name = "create_by")
        @ApiModelProperty("创建者")
        private String createBy;

        //更新者id
        @Excel(name = "update_id")
        @ApiModelProperty("更新者id")
        private Long updateId;

        //更新者
        @Excel(name = "update_by")
        @ApiModelProperty("更新者")
        private String updateBy;

        //更新时间
        @Excel(name = "update_time",dateFormat = "yyyy-MM-dd HH:mm:ss")
        @ApiModelProperty("更新时间")
        @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
        @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;


}
