package com.ruoyi.gysl.entity.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author dong
 * @since 2025/2/26 9:20
 */
@Data
@ApiModel("基本信息导出类")
public class BasicRequest implements Serializable {

    @Excel(name = "序号")
    private Integer id;


    //项目名称
    @Excel(name = "项目名称")
    @ApiModelProperty("项目名称")
    private String name;


    //项目法人单位
    @Excel(name = "项目法人单位")
    @ApiModelProperty("项目法人单位")
    private String xmfrdwxz;



    //总投资额
    @Excel(name = "总投资额(万元）")
    @ApiModelProperty("总投资额")
    private BigDecimal ztze;


    //所属功能区
    @Excel(name = "所属功能区")
    @ApiModelProperty("所属功能区")
    private Integer ssgnq;


    //建设开始时间
    @Excel(name = "建设开始时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("建设开始时间")
    private LocalDateTime begainTime;


    //建设结束时间
    @Excel(name = "建设结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("建设结束时间")
    private LocalDateTime endTime;

    //现状分类
    @Excel(name = "现状分类")
    @ApiModelProperty("现状分类")
    private Integer xzfl;


    /**
     * 总用地面积
     */
    @ApiModelProperty(value = "总用地面积（平方米）")
    @Excel(name = "总用地面积")
    private BigDecimal zydmj;



}
