package com.ruoyi.gysl.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.itextpdf.text.DocumentException;
import com.itextpdf.text.pdf.AcroFields;
import com.itextpdf.text.pdf.PdfReader;
import com.itextpdf.text.pdf.PdfStamper;
import com.ruoyi.gysl.entity.Mmm;
import com.ruoyi.gysl.entity.request.MmmRequest;
import com.ruoyi.gysl.mapper.MmmMapper;
import com.ruoyi.gysl.service.MmmService;
import org.springframework.stereotype.Service;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.HashMap;
import java.util.Map;

@Service
public class MmmServiceImpl extends ServiceImpl<MmmMapper, Mmm> implements MmmService {


    @Override
    public Page<Mmm> page(Page<Mmm> page, MmmRequest mmm) {
        return baseMapper.page(page, mmm);
    }

    @Override
    public byte[] fillPdfTemplate(String path, Mmm item) throws IOException, DocumentException {

        Map<String, String> fillData = new HashMap<>();
        fillData.put("Title", item.getDocumentTitle());
        fillData.put("Unit", item.getPublishUnit());
        fillData.put("Publisher", item.getPublisher());
        fillData.put("Time", item.getPublishTime().toString());
        fillData.put("Content", item.getPublishingContent());

        ByteArrayOutputStream outputStream = new ByteArrayOutputStream();

        PdfReader reader = new PdfReader(Files.newInputStream(Paths.get(path)));
        PdfStamper stamper = new PdfStamper(reader, outputStream);

        // 获取表单字段
        AcroFields form = stamper.getAcroFields();

        // 填充表单字段
        for (Map.Entry<String, String> entry : fillData.entrySet()) {
            String fieldName = entry.getKey();
            String fieldValue = entry.getValue();
            form.setField(fieldName, fieldValue);

        }
        stamper.setFormFlattening(true);
        stamper.close();
        reader.close();

        return outputStream.toByteArray();
    }
}

